# Uses of Class
org.mariadb.jdbc.internal.io.LruTraceCache

Packages that use LruTraceCache
Package
Description
org.mariadb.jdbc.internal.failover
org.mariadb.jdbc.internal.io.input
org.mariadb.jdbc.internal.io.output
org.mariadb.jdbc.internal.protocol

## Uses of LruTraceCache in org.mariadb.jdbc.internal.failover

Fields in org.mariadb.jdbc.internal.failover declared as LruTraceCache
Modifier and Type
Field
Description
`final LruTraceCache`
FailoverProxy.`traceCache`
Constructors in org.mariadb.jdbc.internal.failover with parameters of type LruTraceCache
Modifier
Constructor
Description
``
`FailoverProxy(Listener listener, ReentrantLock lock, LruTraceCache traceCache)`
Proxy constructor.

## Uses of LruTraceCache in org.mariadb.jdbc.internal.io.input

Methods in org.mariadb.jdbc.internal.io.input with parameters of type LruTraceCache
Modifier and Type
Method
Description
`void`
DecompressPacketInputStream.`setTraceCache(LruTraceCache traceCache)`
`void`
PacketInputStream.`setTraceCache(LruTraceCache traceCache)`
`void`
StandardPacketInputStream.`setTraceCache(LruTraceCache traceCache)`

## Uses of LruTraceCache in org.mariadb.jdbc.internal.io.output

Fields in org.mariadb.jdbc.internal.io.output declared as LruTraceCache
Modifier and Type
Field
Description
`protected LruTraceCache`
AbstractPacketOutputStream.`traceCache`
Methods in org.mariadb.jdbc.internal.io.output with parameters of type LruTraceCache
Modifier and Type
Method
Description
`void`
AbstractPacketOutputStream.`setTraceCache(LruTraceCache traceCache)`
`void`
PacketOutputStream.`setTraceCache(LruTraceCache traceCache)`

## Uses of LruTraceCache in org.mariadb.jdbc.internal.protocol

Fields in org.mariadb.jdbc.internal.protocol declared as LruTraceCache
Modifier and Type
Field
Description
`protected final LruTraceCache`
AbstractConnectProtocol.`traceCache`
Constructors in org.mariadb.jdbc.internal.protocol with parameters of type LruTraceCache
Modifier
Constructor
Description
``
`AbstractConnectProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`AuroraProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
``
`MasterProtocol(UrlParser urlParser, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`
Get a protocol instance.
``
`MastersReplicasProtocol(UrlParser url, GlobalStateInfo globalInfo, ReentrantLock lock, LruTraceCache traceCache)`